WCSCASECMP(3)

NAME
wcscasecmp - compare two wide-character strings, ignoring case

SYNOPSIS
#define _GNU_SOURCE
#include <wchar.h>

int wcscasecmp(const wchar_t *s1, const wchar_t *s2);

DESCRIPTION
The wcscasecmp() function is the wide-character equivalent of the strcasecmp(3) function. It compares the wide-character string pointed to by s1 and the wide-character string pointed to by s2, ignoring case differences (towupper(3), towlower(3)).

RETURN VALUE
The wcscasecmp() function returns zero if the wide-character strings at s1 and s2 are equal except for case distinctions. It returns a positive integer if s1 is greater than s2, ignoring case. It returns a negative integer if s1 is smaller than s2, ignoring case.

CONFORMING TO
This function is a GNU extension.

NOTES
The behavior of wcscasecmp() depends on the LC_CTYPE category of the current locale.

SEE ALSO
strcasecmp(3), wcscmp(3)